"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getContactInformationQueryRequestSchema = exports.UpdateContactInformationRequestSchema = void 0;
const zod_1 = require("zod");
exports.UpdateContactInformationRequestSchema = zod_1.z.object({
    importedContact: zod_1.z.object({
        getOrUpdateContact: zod_1.z.object({
            sourceInformation: zod_1.z.object({
                sourceSystemCode: zod_1.z.string(),
                sourceContactId: zod_1.z.string(),
            }),
            contactInfo: zod_1.z.object({
                eMail: zod_1.z.string(),
                mobilePhoneNo: zod_1.z.string(),
                phoneNo: zod_1.z.string(),
            }),
            contactPreferences: zod_1.z.object({
                eMarketingEmail: zod_1.z.boolean(),
            }),
            contactNameAddress: zod_1.z.object({
                socialSecurityNo: zod_1.z.string(),
            }),
        }),
    }),
});
exports.getContactInformationQueryRequestSchema = zod_1.z.object({
    countryIds: zod_1.z.string(),
    correlationId: zod_1.z.string().optional(),
    businessAreaIds: zod_1.z.string(),
    legalId: zod_1.z.string(),
});
