import { z } from "zod";
export declare const interestRatesQuerySchema: z.ZodObject<{
    correlationId: z.ZodOptional<z.ZodString>;
    interestGroupCode: z.ZodOptional<z.ZodString>;
    date: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
    countryIds: z.ZodString;
    businessAreaIds: z.ZodString;
}, "strip", z.ZodTypeAny, {
    correlationId?: string | undefined;
    interestGroupCode?: string | undefined;
    date?: string | undefined;
    countryIds: string;
    businessAreaIds: string;
}, {
    correlationId?: string | undefined;
    interestGroupCode?: string | undefined;
    date?: string | undefined;
    countryIds: string;
    businessAreaIds: string;
}>;
export declare type InterestRatesQueryRequest = z.infer<typeof interestRatesQuerySchema>;
export interface InterestRatesResponse {
    correlationId: string;
    result: boolean;
    resultInterestRate: {
        interestRates: {
            rateCode: string;
            fromDate: string;
            rateValue: number;
        }[];
        rateCount: number;
    };
    serviceVersion: string;
}
export declare const loanToValueQuerySchema: z.ZodObject<{
    correlationId: z.ZodOptional<z.ZodString>;
    productCode: z.ZodOptional<z.ZodString>;
    countryIds: z.ZodString;
    businessAreaIds: z.ZodString;
}, "strip", z.ZodTypeAny, {
    correlationId?: string | undefined;
    productCode?: string | undefined;
    countryIds: string;
    businessAreaIds: string;
}, {
    correlationId?: string | undefined;
    productCode?: string | undefined;
    countryIds: string;
    businessAreaIds: string;
}>;
export declare type LoanToValueQueryRequest = z.infer<typeof loanToValueQuerySchema>;
export interface LoanToValueResponse {
    correlationId: string;
    result: boolean;
    resultLTV: {
        loanToValueRatioForProduct: {
            productCode: string;
            groupCode: string;
            fromRatio: number;
        }[];
        entryCount: number;
    };
    serviceVersion: string;
}
