import { InterestRatesQueryRequest, InterestRatesResponse, LoanToValueQueryRequest, LoanToValueResponse } from "./schemas/information.schema";
import { CreateAccountRequest, ReserveAccountQueryRequest, ReserveAccountResponse, TransactionListQueryRequest, TransactionListResponse, LedgerListRepose, LedgerListQueryRequest, UploadDocumentToAccountReservationBodySchema, UploadDocumentToAccountReservationResponse } from "./schemas/accounts.schema";
import { ContactInformationRequest, UpdateContactInformationRequest, ContactDetailsResponse } from "./schemas/contacts.schema";
/**
 * Reserve account
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export declare function reserveAccount(query: ReserveAccountQueryRequest, baseUrl?: string): Promise<ReserveAccountResponse>;
/**
 * Upload document to reserved account
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export declare function uploadDocumentToReservedAccount(accountNo: string, body: UploadDocumentToAccountReservationBodySchema, baseUrl?: string): Promise<UploadDocumentToAccountReservationResponse>;
/**
 * Create account
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export declare function createAccount(data: CreateAccountRequest, baseUrl?: string): Promise<any>;
/**
 * Update contact information
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export declare function updateContactInformation(query: UpdateContactInformationRequest, data: UpdateContactInformationRequest, baseUrl?: string): Promise<ContactDetailsResponse>;
/**
 * Get interest rates
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export declare function getInterestRates(query: InterestRatesQueryRequest, baseUrl?: string): Promise<InterestRatesResponse>;
/**
 * Get loan to value
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export declare function getLoanToValue(query: LoanToValueQueryRequest, baseUrl?: string): Promise<LoanToValueResponse>;
/**
 * Get account list
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export declare function getAccountList(baseUrl?: string): Promise<any>;
/**
 * Create account
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export declare function getAccountById(baseUrl?: string): Promise<any>;
/**
 * Get transactions
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export declare function getTransactions(query: TransactionListQueryRequest, baseUrl?: string): Promise<TransactionListResponse>;
/**
 * Fetch Ledgers/Invoices
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export declare function getLedgers(query: LedgerListQueryRequest, baseUrl?: string): Promise<LedgerListRepose>;
/**
 * Create account
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export declare function getContactInformation(query: ContactInformationRequest, baseUrl?: string): Promise<ContactDetailsResponse>;
export * from "./schemas/accounts.schema";
export * from "./schemas/contacts.schema";
export * from "./schemas/information.schema";
